package ru.micord.ervu.audit.model;


import java.util.List;

/**
 * @author Adel Kalimullin
 */
public class AuditActionEvent extends AuditEvent {
  private String eventType;
  private String description;
  private String sourceUrl;
  private List<SearchCriteria> searchAttributes;
  private String fileName;

  public AuditActionEvent(
      String esiaOrgId, String esiaPersonId, String eventTime,
      String eventType, String description, String sourceUrl,
      List<SearchCriteria> searchAttributes, String fileName) {
    super(esiaOrgId, esiaPersonId, eventTime);
    this.eventType = eventType;
    this.description = description;
    this.sourceUrl = sourceUrl;
    this.searchAttributes = searchAttributes;
    this.fileName = fileName;
  }

  public String getEventType() {
    return eventType;
  }

  public void setEventType(String eventType) {
    this.eventType = eventType;
  }

  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public String getSourceUrl() {
    return sourceUrl;
  }

  public void setSourceUrl(String sourceUrl) {
    this.sourceUrl = sourceUrl;
  }

  public List<SearchCriteria> getSearchAttributes() {
    return searchAttributes;
  }

  public void setSearchAttributes(List<SearchCriteria> searchAttributes) {
    this.searchAttributes = searchAttributes;
  }

  public String getFileName() {
    return fileName;
  }

  public void setFileName(String fileName) {
    this.fileName = fileName;
  }
}
